Cyberduck Mountain Duck CLI

#2858 closed defect (fixed)

Expect Continue Incompatibility

Reported by: andrew@… Owned by: dkocher
Priority: normal Milestone: 3.1.1
Component: webdav Version: 3.1
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

Uploading files to a WebDAV server that I use no longer works with version 3.1. Uploading the same file to the same server with 3.0.3 works. Below is the working log from 3.0.3 and the failing log from 3.1.

  • working log from 3.0.3
PROPFIND /dav/SP09-KO-INFO-I202-25538 HTTP/1.1[\r][\n]
PROPFIND /dav/SP09-KO-INFO-I202-25538 HTTP/1.1[\r][\n]
Authorization: Basic YWprdXJ0ejppdSBwdyBmb3VyIG1tZWU=[\r][\n]
Authorization: Basic YWprdXJ0ejppdSBwdyBmb3VyIG1tZWU=[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
User-Agent: Cyberduck/3.0.3 (4205)[\r][\n]
User-Agent: Cyberduck/3.0.3 (4205)[\r][\n]
Host: oncourse.iu.edu[\r][\n]
Host: oncourse.iu.edu[\r][\n]
Content-Length: 207[\r][\n]
Content-Length: 207[\r][\n]
Depth: 0[\r][\n]
Depth: 0[\r][\n]
[\r][\n]
[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
Date: Thu, 08 Jan 2009 20:02:00 GMT[\r][\n]
Date: Thu, 08 Jan 2009 20:02:00 GMT[\r][\n]
Server: Apache[\r][\n]
Server: Apache[\r][\n]
Pragma: No-cache[\r][\n]
Pragma: No-cache[\r][\n]
Cache-Control: no-cache[\r][\n]
Cache-Control: no-cache[\r][\n]
Expires: Wed, 31 Dec 1969 19:00:00 EST[\r][\n]
Expires: Wed, 31 Dec 1969 19:00:00 EST[\r][\n]
Set-Cookie: JSESSIONID=ajkurtz.esappo03; Path=/; Secure[\r][\n]
Set-Cookie: JSESSIONID=ajkurtz.esappo03; Path=/; Secure[\r][\n]
Content-Length: 467[\r][\n]
Content-Length: 467[\r][\n]
Content-Type: text/xml;charset=UTF-8[\r][\n]
Content-Type: text/xml;charset=UTF-8[\r][\n]
[\r][\n]
[\r][\n]
PROPFIND /dav/SP09-KO-INFO-I202-25538/Syllabus/ HTTP/1.1[\r][\n]
PROPFIND /dav/SP09-KO-INFO-I202-25538/Syllabus/ HTTP/1.1[\r][\n]
Authorization: Basic YWprdXJ0ejppdSBwdyBmb3VyIG1tZWU=[\r][\n]
Authorization: Basic YWprdXJ0ejppdSBwdyBmb3VyIG1tZWU=[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
User-Agent: Cyberduck/3.0.3 (4205)[\r][\n]
User-Agent: Cyberduck/3.0.3 (4205)[\r][\n]
Host: oncourse.iu.edu[\r][\n]
Host: oncourse.iu.edu[\r][\n]
Cookie: $Version=0; JSESSIONID=ajkurtz.esappo03; $Path=/[\r][\n]
Cookie: $Version=0; JSESSIONID=ajkurtz.esappo03; $Path=/[\r][\n]
Content-Length: 207[\r][\n]
Content-Length: 207[\r][\n]
Depth: 0[\r][\n]
Depth: 0[\r][\n]
[\r][\n]
[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
Date: Thu, 08 Jan 2009 20:02:00 GMT[\r][\n]
Date: Thu, 08 Jan 2009 20:02:00 GMT[\r][\n]
Server: Apache[\r][\n]
Server: Apache[\r][\n]
Pragma: No-cache[\r][\n]
Pragma: No-cache[\r][\n]
Cache-Control: no-cache[\r][\n]
Cache-Control: no-cache[\r][\n]
Expires: Wed, 31 Dec 1969 19:00:00 EST[\r][\n]
Expires: Wed, 31 Dec 1969 19:00:00 EST[\r][\n]
Content-Length: 461[\r][\n]
Content-Length: 461[\r][\n]
Content-Type: text/xml;charset=UTF-8[\r][\n]
Content-Type: text/xml;charset=UTF-8[\r][\n]
[\r][\n]
[\r][\n]
PROPFIND /dav/SP09-KO-INFO-I202-25538/Syllabus/ HTTP/1.1[\r][\n]
PROPFIND /dav/SP09-KO-INFO-I202-25538/Syllabus/ HTTP/1.1[\r][\n]
Authorization: Basic YWprdXJ0ejppdSBwdyBmb3VyIG1tZWU=[\r][\n]
Authorization: Basic YWprdXJ0ejppdSBwdyBmb3VyIG1tZWU=[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
User-Agent: Cyberduck/3.0.3 (4205)[\r][\n]
User-Agent: Cyberduck/3.0.3 (4205)[\r][\n]
Host: oncourse.iu.edu[\r][\n]
Host: oncourse.iu.edu[\r][\n]
Cookie: $Version=0; JSESSIONID=ajkurtz.esappo03; $Path=/[\r][\n]
Cookie: $Version=0; JSESSIONID=ajkurtz.esappo03; $Path=/[\r][\n]
Content-Length: 207[\r][\n]
Content-Length: 207[\r][\n]
Depth: 1[\r][\n]
Depth: 1[\r][\n]
[\r][\n]
[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
Date: Thu, 08 Jan 2009 20:02:00 GMT[\r][\n]
Date: Thu, 08 Jan 2009 20:02:00 GMT[\r][\n]
Server: Apache[\r][\n]
Server: Apache[\r][\n]
Pragma: No-cache[\r][\n]
Pragma: No-cache[\r][\n]
Cache-Control: no-cache[\r][\n]
Cache-Control: no-cache[\r][\n]
Expires: Wed, 31 Dec 1969 19:00:00 EST[\r][\n]
Expires: Wed, 31 Dec 1969 19:00:00 EST[\r][\n]
Content-Length: 3248[\r][\n]
Content-Length: 3248[\r][\n]
Content-Type: text/xml;charset=UTF-8[\r][\n]
Content-Type: text/xml;charset=UTF-8[\r][\n]
[\r][\n]
[\r][\n]
PROPFIND /dav/SP09-KO-INFO-I202-25538/Syllabus/PaperTopics.txt HTTP/1.1[\r][\n]
PROPFIND /dav/SP09-KO-INFO-I202-25538/Syllabus/PaperTopics.txt HTTP/1.1[\r][\n]
Authorization: Basic YWprdXJ0ejppdSBwdyBmb3VyIG1tZWU=[\r][\n]
Authorization: Basic YWprdXJ0ejppdSBwdyBmb3VyIG1tZWU=[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
User-Agent: Cyberduck/3.0.3 (4205)[\r][\n]
User-Agent: Cyberduck/3.0.3 (4205)[\r][\n]
Host: oncourse.iu.edu[\r][\n]
Host: oncourse.iu.edu[\r][\n]
Cookie: $Version=0; JSESSIONID=ajkurtz.esappo03; $Path=/[\r][\n]
Cookie: $Version=0; JSESSIONID=ajkurtz.esappo03; $Path=/[\r][\n]
Content-Length: 207[\r][\n]
Content-Length: 207[\r][\n]
Depth: 0[\r][\n]
Depth: 0[\r][\n]
[\r][\n]
[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
Date: Thu, 08 Jan 2009 20:02:01 GMT[\r][\n]
Date: Thu, 08 Jan 2009 20:02:01 GMT[\r][\n]
Server: Apache[\r][\n]
Server: Apache[\r][\n]
Pragma: No-cache[\r][\n]
Pragma: No-cache[\r][\n]
Cache-Control: no-cache[\r][\n]
Cache-Control: no-cache[\r][\n]
Expires: Wed, 31 Dec 1969 19:00:00 EST[\r][\n]
Expires: Wed, 31 Dec 1969 19:00:00 EST[\r][\n]
Content-Length: 552[\r][\n]
Content-Length: 552[\r][\n]
Content-Type: text/xml;charset=UTF-8[\r][\n]
Content-Type: text/xml;charset=UTF-8[\r][\n]
[\r][\n]
[\r][\n]
PROPFIND /dav/SP09-KO-INFO-I202-25538/Syllabus/PaperTopics.txt HTTP/1.1[\r][\n]
PROPFIND /dav/SP09-KO-INFO-I202-25538/Syllabus/PaperTopics.txt HTTP/1.1[\r][\n]
Authorization: Basic YWprdXJ0ejppdSBwdyBmb3VyIG1tZWU=[\r][\n]
Authorization: Basic YWprdXJ0ejppdSBwdyBmb3VyIG1tZWU=[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
User-Agent: Cyberduck/3.0.3 (4205)[\r][\n]
User-Agent: Cyberduck/3.0.3 (4205)[\r][\n]
Host: oncourse.iu.edu[\r][\n]
Host: oncourse.iu.edu[\r][\n]
Cookie: $Version=0; JSESSIONID=ajkurtz.esappo03; $Path=/[\r][\n]
Cookie: $Version=0; JSESSIONID=ajkurtz.esappo03; $Path=/[\r][\n]
Content-Length: 207[\r][\n]
Content-Length: 207[\r][\n]
Depth: 1[\r][\n]
Depth: 1[\r][\n]
[\r][\n]
[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
Date: Thu, 08 Jan 2009 20:02:01 GMT[\r][\n]
Date: Thu, 08 Jan 2009 20:02:01 GMT[\r][\n]
Server: Apache[\r][\n]
Server: Apache[\r][\n]
Pragma: No-cache[\r][\n]
Pragma: No-cache[\r][\n]
Cache-Control: no-cache[\r][\n]
Cache-Control: no-cache[\r][\n]
Expires: Wed, 31 Dec 1969 19:00:00 EST[\r][\n]
Expires: Wed, 31 Dec 1969 19:00:00 EST[\r][\n]
Content-Length: 552[\r][\n]
Content-Length: 552[\r][\n]
Content-Type: text/xml;charset=UTF-8[\r][\n]
Content-Type: text/xml;charset=UTF-8[\r][\n]
[\r][\n]
[\r][\n]
PROPFIND /dav/SP09-KO-INFO-I202-25538/Syllabus/PaperTopics.txt HTTP/1.1[\r][\n]
PROPFIND /dav/SP09-KO-INFO-I202-25538/Syllabus/PaperTopics.txt HTTP/1.1[\r][\n]
Authorization: Basic YWprdXJ0ejppdSBwdyBmb3VyIG1tZWU=[\r][\n]
Authorization: Basic YWprdXJ0ejppdSBwdyBmb3VyIG1tZWU=[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
User-Agent: Cyberduck/3.0.3 (4205)[\r][\n]
User-Agent: Cyberduck/3.0.3 (4205)[\r][\n]
Host: oncourse.iu.edu[\r][\n]
Host: oncourse.iu.edu[\r][\n]
Cookie: $Version=0; JSESSIONID=ajkurtz.esappo03; $Path=/[\r][\n]
Cookie: $Version=0; JSESSIONID=ajkurtz.esappo03; $Path=/[\r][\n]
Content-Length: 207[\r][\n]
Content-Length: 207[\r][\n]
Depth: 0[\r][\n]
Depth: 0[\r][\n]
[\r][\n]
[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
Date: Thu, 08 Jan 2009 20:02:01 GMT[\r][\n]
Date: Thu, 08 Jan 2009 20:02:01 GMT[\r][\n]
Server: Apache[\r][\n]
Server: Apache[\r][\n]
Pragma: No-cache[\r][\n]
Pragma: No-cache[\r][\n]
Cache-Control: no-cache[\r][\n]
Cache-Control: no-cache[\r][\n]
Expires: Wed, 31 Dec 1969 19:00:00 EST[\r][\n]
Expires: Wed, 31 Dec 1969 19:00:00 EST[\r][\n]
Content-Length: 552[\r][\n]
Content-Length: 552[\r][\n]
Content-Type: text/xml;charset=UTF-8[\r][\n]
Content-Type: text/xml;charset=UTF-8[\r][\n]
[\r][\n]
[\r][\n]
PROPFIND /dav/SP09-KO-INFO-I202-25538/Syllabus/PaperTopics.txt HTTP/1.1[\r][\n]
PROPFIND /dav/SP09-KO-INFO-I202-25538/Syllabus/PaperTopics.txt HTTP/1.1[\r][\n]
Authorization: Basic YWprdXJ0ejppdSBwdyBmb3VyIG1tZWU=[\r][\n]
Authorization: Basic YWprdXJ0ejppdSBwdyBmb3VyIG1tZWU=[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
User-Agent: Cyberduck/3.0.3 (4205)[\r][\n]
User-Agent: Cyberduck/3.0.3 (4205)[\r][\n]
Host: oncourse.iu.edu[\r][\n]
Host: oncourse.iu.edu[\r][\n]
Cookie: $Version=0; JSESSIONID=ajkurtz.esappo03; $Path=/[\r][\n]
Cookie: $Version=0; JSESSIONID=ajkurtz.esappo03; $Path=/[\r][\n]
Content-Length: 207[\r][\n]
Content-Length: 207[\r][\n]
Depth: 1[\r][\n]
Depth: 1[\r][\n]
[\r][\n]
[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
Date: Thu, 08 Jan 2009 20:02:01 GMT[\r][\n]
Date: Thu, 08 Jan 2009 20:02:01 GMT[\r][\n]
Server: Apache[\r][\n]
Server: Apache[\r][\n]
Pragma: No-cache[\r][\n]
Pragma: No-cache[\r][\n]
Cache-Control: no-cache[\r][\n]
Cache-Control: no-cache[\r][\n]
Expires: Wed, 31 Dec 1969 19:00:00 EST[\r][\n]
Expires: Wed, 31 Dec 1969 19:00:00 EST[\r][\n]
Content-Length: 552[\r][\n]
Content-Length: 552[\r][\n]
Content-Type: text/xml;charset=UTF-8[\r][\n]
Content-Type: text/xml;charset=UTF-8[\r][\n]
[\r][\n]
[\r][\n]
PUT /dav/SP09-KO-INFO-I202-25538/Syllabus/PaperTopics.txt HTTP/1.1[\r][\n]
PUT /dav/SP09-KO-INFO-I202-25538/Syllabus/PaperTopics.txt HTTP/1.1[\r][\n]
Content-Type: text/plain[\r][\n]
Content-Type: text/plain[\r][\n]
Authorization: Basic YWprdXJ0ejppdSBwdyBmb3VyIG1tZWU=[\r][\n]
Authorization: Basic YWprdXJ0ejppdSBwdyBmb3VyIG1tZWU=[\r][\n]
User-Agent: Cyberduck/3.0.3 (4205)[\r][\n]
User-Agent: Cyberduck/3.0.3 (4205)[\r][\n]
Host: oncourse.iu.edu[\r][\n]
Host: oncourse.iu.edu[\r][\n]
Cookie: $Version=0; JSESSIONID=ajkurtz.esappo03; $Path=/[\r][\n]
Cookie: $Version=0; JSESSIONID=ajkurtz.esappo03; $Path=/[\r][\n]
Content-Length: 15970[\r][\n]
Content-Length: 15970[\r][\n]
[\r][\n]
[\r][\n]
HTTP/1.1 201 Created[\r][\n]
HTTP/1.1 201 Created[\r][\n]
HTTP/1.1 201 Created[\r][\n]
HTTP/1.1 201 Created[\r][\n]
Date: Thu, 08 Jan 2009 20:02:06 GMT[\r][\n]
Date: Thu, 08 Jan 2009 20:02:06 GMT[\r][\n]
Server: Apache[\r][\n]
Server: Apache[\r][\n]
Pragma: No-cache[\r][\n]
Pragma: No-cache[\r][\n]
Cache-Control: no-cache[\r][\n]
Cache-Control: no-cache[\r][\n]
Expires: Wed, 31 Dec 1969 19:00:00 EST[\r][\n]
Expires: Wed, 31 Dec 1969 19:00:00 EST[\r][\n]
Content-Length: 0[\r][\n]
Content-Length: 0[\r][\n]
Content-Type: text/plain[\r][\n]
Content-Type: text/plain[\r][\n]
[\r][\n]
[\r][\n]
PROPFIND /dav/SP09-KO-INFO-I202-25538/Syllabus/ HTTP/1.1[\r][\n]
PROPFIND /dav/SP09-KO-INFO-I202-25538/Syllabus/ HTTP/1.1[\r][\n]
Authorization: Basic YWprdXJ0ejppdSBwdyBmb3VyIG1tZWU=[\r][\n]
Authorization: Basic YWprdXJ0ejppdSBwdyBmb3VyIG1tZWU=[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
User-Agent: Cyberduck/3.0.3 (4205)[\r][\n]
User-Agent: Cyberduck/3.0.3 (4205)[\r][\n]
Host: oncourse.iu.edu[\r][\n]
Host: oncourse.iu.edu[\r][\n]
Cookie: $Version=0; JSESSIONID=ajkurtz.esappo03; $Path=/[\r][\n]
Cookie: $Version=0; JSESSIONID=ajkurtz.esappo03; $Path=/[\r][\n]
Content-Length: 207[\r][\n]
Content-Length: 207[\r][\n]
Depth: 0[\r][\n]
Depth: 0[\r][\n]
[\r][\n]
[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
Date: Thu, 08 Jan 2009 20:02:07 GMT[\r][\n]
Date: Thu, 08 Jan 2009 20:02:07 GMT[\r][\n]
Server: Apache[\r][\n]
Server: Apache[\r][\n]
Pragma: No-cache[\r][\n]
Pragma: No-cache[\r][\n]
Cache-Control: no-cache[\r][\n]
Cache-Control: no-cache[\r][\n]
Expires: Wed, 31 Dec 1969 19:00:00 EST[\r][\n]
Expires: Wed, 31 Dec 1969 19:00:00 EST[\r][\n]
Content-Length: 461[\r][\n]
Content-Length: 461[\r][\n]
Content-Type: text/xml;charset=UTF-8[\r][\n]
Content-Type: text/xml;charset=UTF-8[\r][\n]
[\r][\n]
[\r][\n]
PROPFIND /dav/SP09-KO-INFO-I202-25538/Syllabus/ HTTP/1.1[\r][\n]
PROPFIND /dav/SP09-KO-INFO-I202-25538/Syllabus/ HTTP/1.1[\r][\n]
Authorization: Basic YWprdXJ0ejppdSBwdyBmb3VyIG1tZWU=[\r][\n]
Authorization: Basic YWprdXJ0ejppdSBwdyBmb3VyIG1tZWU=[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
User-Agent: Cyberduck/3.0.3 (4205)[\r][\n]
User-Agent: Cyberduck/3.0.3 (4205)[\r][\n]
Host: oncourse.iu.edu[\r][\n]
Host: oncourse.iu.edu[\r][\n]
Cookie: $Version=0; JSESSIONID=ajkurtz.esappo03; $Path=/[\r][\n]
Cookie: $Version=0; JSESSIONID=ajkurtz.esappo03; $Path=/[\r][\n]
Content-Length: 207[\r][\n]
Content-Length: 207[\r][\n]
Depth: 1[\r][\n]
Depth: 1[\r][\n]
[\r][\n]
[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
Date: Thu, 08 Jan 2009 20:02:07 GMT[\r][\n]
Date: Thu, 08 Jan 2009 20:02:07 GMT[\r][\n]
Server: Apache[\r][\n]
Server: Apache[\r][\n]
Pragma: No-cache[\r][\n]
Pragma: No-cache[\r][\n]
Cache-Control: no-cache[\r][\n]
Cache-Control: no-cache[\r][\n]
Expires: Wed, 31 Dec 1969 19:00:00 EST[\r][\n]
Expires: Wed, 31 Dec 1969 19:00:00 EST[\r][\n]
Content-Length: 3248[\r][\n]
Content-Length: 3248[\r][\n]
Content-Type: text/xml;charset=UTF-8[\r][\n]
Content-Type: text/xml;charset=UTF-8[\r][\n]
[\r][\n]
[\r][\n]
  • failed log from 3.1
PROPFIND /dav/SP09-KO-INFO-I202-25538 HTTP/1.1[\r][\n]
Authorization: Basic YWprdXJ0ejppdSBwdyBmb3VyIG1tZWU=[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
User-Agent: Cyberduck/3.1 (4448)[\r][\n]
Host: oncourse.iu.edu[\r][\n]
Content-Length: 207[\r][\n]
Depth: 0[\r][\n]
[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
Date: Thu, 08 Jan 2009 20:02:44 GMT[\r][\n]
Server: Apache[\r][\n]
Pragma: No-cache[\r][\n]
Cache-Control: no-cache[\r][\n]
Expires: Wed, 31 Dec 1969 19:00:00 EST[\r][\n]
Set-Cookie: JSESSIONID=ajkurtz.esappo03; Path=/; Secure[\r][\n]
Content-Length: 467[\r][\n]
Content-Type: text/xml;charset=UTF-8[\r][\n]
[\r][\n]
PROPFIND /dav/SP09-KO-INFO-I202-25538/Syllabus/ HTTP/1.1[\r][\n]
Authorization: Basic YWprdXJ0ejppdSBwdyBmb3VyIG1tZWU=[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
User-Agent: Cyberduck/3.1 (4448)[\r][\n]
Host: oncourse.iu.edu[\r][\n]
Cookie: $Version=0; JSESSIONID=ajkurtz.esappo03; $Path=/[\r][\n]
Content-Length: 207[\r][\n]
Depth: 0[\r][\n]
[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
Date: Thu, 08 Jan 2009 20:02:44 GMT[\r][\n]
Server: Apache[\r][\n]
Pragma: No-cache[\r][\n]
Cache-Control: no-cache[\r][\n]
Expires: Wed, 31 Dec 1969 19:00:00 EST[\r][\n]
Content-Length: 461[\r][\n]
Content-Type: text/xml;charset=UTF-8[\r][\n]
[\r][\n]
PROPFIND /dav/SP09-KO-INFO-I202-25538/Syllabus/ HTTP/1.1[\r][\n]
Authorization: Basic YWprdXJ0ejppdSBwdyBmb3VyIG1tZWU=[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
User-Agent: Cyberduck/3.1 (4448)[\r][\n]
Host: oncourse.iu.edu[\r][\n]
Cookie: $Version=0; JSESSIONID=ajkurtz.esappo03; $Path=/[\r][\n]
Content-Length: 207[\r][\n]
Depth: 1[\r][\n]
[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
Date: Thu, 08 Jan 2009 20:02:45 GMT[\r][\n]
Server: Apache[\r][\n]
Pragma: No-cache[\r][\n]
Cache-Control: no-cache[\r][\n]
Expires: Wed, 31 Dec 1969 19:00:00 EST[\r][\n]
Content-Length: 3248[\r][\n]
Content-Type: text/xml;charset=UTF-8[\r][\n]
[\r][\n]
PROPFIND /dav/SP09-KO-INFO-I202-25538/Syllabus/PaperTopics.txt HTTP/1.1[\r][\n]
Authorization: Basic YWprdXJ0ejppdSBwdyBmb3VyIG1tZWU=[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
User-Agent: Cyberduck/3.1 (4448)[\r][\n]
Host: oncourse.iu.edu[\r][\n]
Cookie: $Version=0; JSESSIONID=ajkurtz.esappo03; $Path=/[\r][\n]
Content-Length: 207[\r][\n]
Depth: 0[\r][\n]
[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
Date: Thu, 08 Jan 2009 20:02:45 GMT[\r][\n]
Server: Apache[\r][\n]
Pragma: No-cache[\r][\n]
Cache-Control: no-cache[\r][\n]
Expires: Wed, 31 Dec 1969 19:00:00 EST[\r][\n]
Content-Length: 552[\r][\n]
Content-Type: text/xml;charset=UTF-8[\r][\n]
[\r][\n]
PROPFIND /dav/SP09-KO-INFO-I202-25538/Syllabus/PaperTopics.txt HTTP/1.1[\r][\n]
Authorization: Basic YWprdXJ0ejppdSBwdyBmb3VyIG1tZWU=[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
User-Agent: Cyberduck/3.1 (4448)[\r][\n]
Host: oncourse.iu.edu[\r][\n]
Cookie: $Version=0; JSESSIONID=ajkurtz.esappo03; $Path=/[\r][\n]
Content-Length: 207[\r][\n]
Depth: 1[\r][\n]
[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
Date: Thu, 08 Jan 2009 20:02:45 GMT[\r][\n]
Server: Apache[\r][\n]
Pragma: No-cache[\r][\n]
Cache-Control: no-cache[\r][\n]
Expires: Wed, 31 Dec 1969 19:00:00 EST[\r][\n]
Content-Length: 552[\r][\n]
Content-Type: text/xml;charset=UTF-8[\r][\n]
[\r][\n]
PROPFIND /dav/SP09-KO-INFO-I202-25538/Syllabus/PaperTopics.txt HTTP/1.1[\r][\n]
Authorization: Basic YWprdXJ0ejppdSBwdyBmb3VyIG1tZWU=[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
User-Agent: Cyberduck/3.1 (4448)[\r][\n]
Host: oncourse.iu.edu[\r][\n]
Cookie: $Version=0; JSESSIONID=ajkurtz.esappo03; $Path=/[\r][\n]
Content-Length: 207[\r][\n]
Depth: 0[\r][\n]
[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
Date: Thu, 08 Jan 2009 20:02:45 GMT[\r][\n]
Server: Apache[\r][\n]
Pragma: No-cache[\r][\n]
Cache-Control: no-cache[\r][\n]
Expires: Wed, 31 Dec 1969 19:00:00 EST[\r][\n]
Content-Length: 552[\r][\n]
Content-Type: text/xml;charset=UTF-8[\r][\n]
[\r][\n]
PROPFIND /dav/SP09-KO-INFO-I202-25538/Syllabus/PaperTopics.txt HTTP/1.1[\r][\n]
Authorization: Basic YWprdXJ0ejppdSBwdyBmb3VyIG1tZWU=[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
User-Agent: Cyberduck/3.1 (4448)[\r][\n]
Host: oncourse.iu.edu[\r][\n]
Cookie: $Version=0; JSESSIONID=ajkurtz.esappo03; $Path=/[\r][\n]
Content-Length: 207[\r][\n]
Depth: 1[\r][\n]
[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
Date: Thu, 08 Jan 2009 20:02:45 GMT[\r][\n]
Server: Apache[\r][\n]
Pragma: No-cache[\r][\n]
Cache-Control: no-cache[\r][\n]
Expires: Wed, 31 Dec 1969 19:00:00 EST[\r][\n]
Content-Length: 552[\r][\n]
Content-Type: text/xml;charset=UTF-8[\r][\n]
[\r][\n]
PUT /dav/SP09-KO-INFO-I202-25538/Syllabus/PaperTopics.txt HTTP/1.1[\r][\n]
Content-Type: text/plain[\r][\n]
User-Agent: Cyberduck/3.1 (4448)[\r][\n]
Host: oncourse.iu.edu[\r][\n]
Cookie: $Version=0; JSESSIONID=ajkurtz.esappo03; $Path=/[\r][\n]
Expect: 100-continue[\r][\n]
Content-Length: 15970[\r][\n]
[\r][\n]
HTTP/1.1 100 Continue[\r][\n]
HTTP/1.1 100 Continue[\r][\n]
[\r][\n]
HTTP/1.1 401 Unauthorized[\r][\n]
HTTP/1.1 401 Unauthorized[\r][\n]
Date: Thu, 08 Jan 2009 20:02:50 GMT[\r][\n]
Server: Apache[\r][\n]
Pragma: No-cache[\r][\n]
Cache-Control: no-cache[\r][\n]
Expires: Wed, 31 Dec 1969 19:00:00 EST[\r][\n]
WWW-Authenticate: Basic realm=""[\r][\n]
Content-Length: 954[\r][\n]
Content-Type: text/html;charset=utf-8[\r][\n]
X-Pad: avoid browser bug[\r][\n]
[\r][\n]
PUT /dav/SP09-KO-INFO-I202-25538/Syllabus/PaperTopics.txt HTTP/1.1[\r][\n]
Content-Type: text/plain[\r][\n]
User-Agent: Cyberduck/3.1 (4448)[\r][\n]
Expect: 100-continue[\r][\n]
Content-Length: 15970[\r][\n]
Authorization: Basic YWprdXJ0ejppdSBwdyBmb3VyIG1tZWU=[\r][\n]
Host: oncourse.iu.edu[\r][\n]
Cookie: $Version=0; JSESSIONID=ajkurtz.esappo03; $Path=/[\r][\n]
[\r][\n]
HTTP/1.1 100 Continue[\r][\n]
HTTP/1.1 100 Continue[\r][\n]
[\r][\n]
PROPFIND /dav/SP09-KO-INFO-I202-25538/Syllabus/ HTTP/1.1[\r][\n]
Authorization: Basic YWprdXJ0ejppdSBwdyBmb3VyIG1tZWU=[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
User-Agent: Cyberduck/3.1 (4448)[\r][\n]
Host: oncourse.iu.edu[\r][\n]
Cookie: $Version=0; JSESSIONID=ajkurtz.esappo03; $Path=/[\r][\n]
Content-Length: 207[\r][\n]
Depth: 0[\r][\n]
[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
Date: Thu, 08 Jan 2009 20:02:50 GMT[\r][\n]
Server: Apache[\r][\n]
Pragma: No-cache[\r][\n]
Cache-Control: no-cache[\r][\n]
Expires: Wed, 31 Dec 1969 19:00:00 EST[\r][\n]
Content-Length: 461[\r][\n]
Content-Type: text/xml;charset=UTF-8[\r][\n]
[\r][\n]
PROPFIND /dav/SP09-KO-INFO-I202-25538/Syllabus/ HTTP/1.1[\r][\n]
Authorization: Basic YWprdXJ0ejppdSBwdyBmb3VyIG1tZWU=[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
User-Agent: Cyberduck/3.1 (4448)[\r][\n]
Host: oncourse.iu.edu[\r][\n]
Cookie: $Version=0; JSESSIONID=ajkurtz.esappo03; $Path=/[\r][\n]
Content-Length: 207[\r][\n]
Depth: 1[\r][\n]
[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
Date: Thu, 08 Jan 2009 20:02:51 GMT[\r][\n]
Server: Apache[\r][\n]
Pragma: No-cache[\r][\n]
Cache-Control: no-cache[\r][\n]
Expires: Wed, 31 Dec 1969 19:00:00 EST[\r][\n]
Content-Length: 3244[\r][\n]
Content-Type: text/xml;charset=UTF-8[\r][\n]
[\r][\n]


Change History (6)

comment:1 Changed on Jan 8, 2009 at 9:37:13 PM by dkocher

  • Description modified (diff)

comment:2 Changed on Jan 8, 2009 at 9:45:38 PM by dkocher

The server denies access after a successful 100 Continue response:

PUT /dav/SP09-KO-INFO-I202-25538/Syllabus/PaperTopics.txt HTTP/1.1[\r][\n]
Content-Type: text/plain[\r][\n]
User-Agent: Cyberduck/3.1 (4448)[\r][\n]
Host: oncourse.iu.edu[\r][\n]
Cookie: $Version=0; JSESSIONID=ajkurtz.esappo03; $Path=/[\r][\n]
Expect: 100-continue[\r][\n]
Content-Length: 15970[\r][\n]
[\r][\n]
HTTP/1.1 100 Continue[\r][\n]
HTTP/1.1 100 Continue[\r][\n]
[\r][\n]
HTTP/1.1 401 Unauthorized[\r][\n]
HTTP/1.1 401 Unauthorized[\r][\n]

comment:3 Changed on Jan 9, 2009 at 3:05:42 PM by dkocher

  • Status changed from new to assigned
  • Summary changed from WebDAV upload that works in 3.0.3 fails in 3.1 to Expect Continue Incompatibility

comment:4 Changed on Jan 9, 2009 at 3:17:08 PM by dkocher

  • Milestone set to 3.1.1

comment:5 Changed on Jan 9, 2009 at 4:17:17 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

comment:6 Changed on Jan 11, 2009 at 7:20:05 AM by jesse-pro@…

Thank you for fixing this one. updating now. I released data was not over writhing properly. :)

Note: See TracTickets for help on using tickets.
swiss made software